classification
Title: IDLE: config-main.def contains windows-specific settings
Type: behavior Stage:
Components: IDLE Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: IDLE should support platform-specific default config defaults
View: 20580
Assigned To: Nosy List: gpolo, kbk, ned.deily, ronaldoussoren, terry.reedy
Priority: low Keywords:

Created on 2006-07-06 08:29 by ronaldoussoren, last changed 2014-06-10 00:27 by terry.reedy. This issue is now closed.

Messages (7)
msg29066 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2006-07-06 08:29
The default values in config-main.def contain values that are specific for 
Windows. This means that the key-bindings for other platforms, such as 
OSX will be wrong (because config-main selects the windows keybindings 
as the default keybindings).

I've worked around this by copying a mac version of config-main.def over 
the installed version of config-main.def from Mac/IDLE/Makefile.in. That 
is obviously a crude hack, but I know of no better solution.
msg29067 - (view) Author: Kurt B. Kaiser (kbk) * (Python committer) Date: 2006-07-17 18:46
Logged In: YES 
user_id=149084

Not so crude, since there is a Mac/IDLE/ dir? I
gather this works ok for 2.5 installs on OSX?

Perhaps IDLE should be modified to try to detect
the platform and only use the entry in
config-main.def if detection fails.  The [keys]
section is necessary, I believe, to mirror the
[keys] section in the user's config-main.cfg if
he changes keybindings.

But you would still need Mac/IDLE/, would you not?
msg29068 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2006-07-18 12:34
Logged In: YES 
user_id=580910

Mac/IDLE contains support code for building and installing an application 
bundle for IDLE, which gives us a nice icon to click on :-)

Detecting the platform and automaticly using platform-specific settings 
would be nice and would mostly solve my problem. "Mostly" because config-
extensions.def also contains key-binding definitions; which could well be 
platform-specific (AquaTk doesn't seem to support the ALT modifier).

IMHO the current workaround is crude because I maintain a seperate copy of 
several configuration files just to change a small number of settings.  I have 
lowered the priority of this issue because I don't think this is very important.
msg84287 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-03-27 23:29
For config-extensions.def:
  What do you think about moving all shortcuts to config-keys and then
always use the name of the shorcut in config-extensions instead of the
shorcut ?

For config-main.def:
  For the [Keys] section I believe it would be better to rename the
"default" option to "custom". If custom is true, then idle uses the key
set defined by the name option, otherwise it uses the one that fits
better the platform. If the user changes the key set that supposedly
fits better his platform through the "Configure IDLE" dialog then we set
custom to True (independently of this new key set being a custom one or
a default one but that is not the default for his platform) and set the
name option to the name of the key set. Any thoughts ?
msg220124 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-06-09 22:47
In 3.4, the only Windows-specific settings I see in config-main.def is
[Keys]
default= 1
name= IDLE Classic Windows

I have presumed that this is somehow changed on other systems. If not, that is an issue.

Config-keys.def actions (should) have a Meta variant when Alt is used.
close-window=<Alt-Key-F4> <Meta-Key-F4>

If 'Alt' were automatically changed to 'Meta' on Mac, before sending to tk, the Meta entries could be removed, with a note in the key-setting dialog about the auto translation. The file would be easier to read; setting keys would then be easier; and Macs would automatically get key bindings.

(I notice that some actions have two Alt bindings and only one Meta binding. Is that because Meta in not value for all uses of Alt?)
msg220127 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-06-09 23:19
Issue20580 covers much the same grounds; I was unaware of this issue when I opened it.
msg220132 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-06-10 00:27
Since #20580 has a much more specific plan, I am closing this one as a duplicate and back-referencing this from there.
History
Date User Action Args
2014-06-10 00:27:05terry.reedysetstatus: open -> closed
superseder: IDLE should support platform-specific default config defaults
resolution: duplicate
messages: + msg220132
2014-06-09 23:19:37ned.deilysetmessages: + msg220127
2014-06-09 22:47:14terry.reedysetmessages: + msg220124
2014-06-09 22:23:56BreamoreBoysetnosy: + terry.reedy, ned.deily

type: behavior
versions: + Python 3.4, Python 3.5, - Python 3.1, Python 3.2
2010-08-04 23:38:51terry.reedysetversions: + Python 3.1, Python 2.7, Python 3.2, - Python 2.5
2009-03-27 23:29:08gpolosetnosy: + gpolo
messages: + msg84287
2006-07-06 08:29:03ronaldoussorencreate